:root {
    --light-beige: #FFFBF5;
    --terra: #DB9D80;
    --terra-subtle: #fce3d8;
    --bs-body-color: #000000;
}

@font-face {
    font-family: 'Soft Whisperings Calligraphic';
    src: url('fonts/SoftWhisperingsCalligraphic.woff2') format('woff2'),
    url('fonts/SoftWhisperingsCalligraphic.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

.soft-whisperings {
    font-family: 'Soft Whisperings Calligraphic', serif;
    font-optical-sizing: auto;
    font-weight: normal;
    font-style: normal;
}

.quicksand {
    font-family: "Quicksand", sans-serif;
    font-optical-sizing: auto;
    font-weight: normal;
    font-style: normal;
}

html, body {
    overflow-x: hidden;
}

body {
    font-family: "Quicksand", sans-serif;
}

.text-default {
    color: var(--bs-body-color);
}

#top-header {
    background: var(--light-beige);
}

.text-terra {
    color: var(--terra);
}

.border-terra {
    border-color: var(--terra) !important;
}

.border-terra-subtle {
    border-color: var(--terra-subtle) !important;
}

.btn-terra {
    background: var(--terra);
    border-radius: 20px;
    border: none;
    color: #fff;
    display: inline-block;
    height: 40px;
    line-height: 40px;
    text-decoration: none;
    padding: 0 50px;
    font-size: 1.25rem;
}

.bg-light-beige {
    background-color: var(--light-beige);
}

.img-link-alt, .img-link {
    position: relative;
    text-decoration: none;
    display: block;
}

.img-link div {
    color: var(--bs-body-color);
    position: absolute;
    font-size: 14px;
    bottom: 0;
    left: 0;
    width: 100%;
    text-align: center;
}

.img-link div span {
    background: #fff;
    padding: 14px;
    letter-spacing: 1px;
}

.img-link-alt .category {
    text-transform: uppercase;
}

.img-link-alt .title {
    color: var(--bs-body-color);
}

.floral-wallpaper {
    background: url("../img/floral-wallpaper.png");
    background-size: contain;
}

.large-btn {
    position: relative;
    border-radius: 25px;
    display: inline-block;
    color: #fff;
    font-weight: bold;
    text-decoration: none;
    height: 50px;
    line-height: 50px;
    padding: 0 50px;
    border: none;
    min-width: 50px;
}

.large-btn.active {
    background: #fff;
    font-weight: bold;
}

.large-btn-lg {
    font-size: 22px;
}

.large-btn .leaf {
    background: url("../img/leaf.png");
    background-size: contain;
    width: 100px;
    height: 100px;
    display: block;
    position: absolute;
    right: -70px;
    top: 5px;
}

.large-btn .flower-cupcake {
    background: url("../img/flower-cupcake-2.png");
    background-size: contain;
    width: 50px;
    height: 64px;
    display: block;
    position: absolute;
    right: -30px;
    top: -25px;
}

.heart {
    height: auto;
    width: 70px;
    margin-bottom: 20px;
}

.feather-wallpaper {
    background: url("../img/feather.png") no-repeat right;
    background-size: contain;
}

.flower-cupcake-sm {
    width: 55px;
}

.footer-separator {
    border-bottom: 1px solid var(--terra);
    height: 50px;
    margin: 40px 0 90px 0;
}

#mobileMenu .nav-link,
#header .nav-link {
    letter-spacing: 2px;
}

#footer .nav-link {
    color: var(--bs-body-color);
    letter-spacing: 2px;
}

.post-thumbnail {
    width: 100%;
    aspect-ratio: 1 / 1.3;
    object-fit: cover;
}

.img-square {
    width: 100%;
    aspect-ratio: 1 / 1;
    object-fit: cover;
}
.post-content img {
    height: auto;
    max-width: 100%;
}

.row.brands {
    width: 80%;
}

.text-ellipsis {
    overflow: hidden;
    text-overflow: ellipsis;
}

@media only screen and (max-width: 480px) {
    #top-header p {
        font-size: 14px;
    }

    .menu-toggle {
        font-size: 24px;
        margin-top: -10px;
    }

    .img-link div span {
        font-size: 14px;
        padding: 3px 8px;
        max-width: 85%;
        letter-spacing: 0;
    }

    .row.brands {
        width: 100%;
    }

    #logo {
        width: 70%;
    }

    .btn-terra {
        font-size: 1rem;
        padding: 0 20px;
    }

    .large-btn {
        border-radius: 20px;
        height: 40px;
        line-height: 40px;
        padding: 0 10px !important;
        min-width: 40px;
    }

    .flower-cupcake-sm {
        width: 40px;
    }

    .footer-separator {
        height: 32px;
        margin: 40px 0 50px 0;
    }
}
